# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rpi_union/version'

Gem::Specification.new do |spec|
  spec.name          = "rpi_union"
  spec.version       = RpiUnion::VERSION
  spec.authors       = ["Noah Goldman"]
  spec.email         = ["noah@phaaze.com"]

  spec.summary       = %q{A thin wrapper for the RPI Union API}
  spec.description   = "A tiny API to access the RPI Union API for clubs. " +
                       "Access to the API Requires a key from a union-sponsored " +
                       "club."
  spec.homepage      = "https://github.com/noahgoldman/rpi_union"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "httparty", "~> 0.13"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 0"
  spec.add_development_dependency "webmock", "~> 0"
end
